Subject: RE: b19 SIGSEGV in _size_of_stack_reserve
From: [email-masked] (Bernard DAUTREVAUX)

10 Dec 1998 05:46:44 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "GnuWin32 Mailing list (Adresse de messagerie)" <[email-masked]>

> -----Original Message-----
> From:	Tim Harding [SMTP:[email-masked]]
> Sent:	Tuesday, December 08, 1998 14:37
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	Re: b19 SIGSEGV in _size_of_stack_reserve
>
> > Trying to run a pgrm I compiled under b19, I am getting an error. Under 
GDB,
> > it
> > get
> >
> > SIGSEGV
> > 0x100451 _size_of_stack_reserve
> >
> > It looks like a stack pb... any idea?
>
> Hi Felix
>
> I have a similar problem having compiled IVtools.
> I run the code and it falls over in
> _size_of_stack_reserve. Did you find an answer?
>
> I am compiling with b20 but linking with a
> the standard libX11 (X11R6.3) which was built
> with b19.  Therefore it's loading the cygwin DLL twice (under different
> names), and I did wonder
> if that was causing problems.

Yes; it should be that which cause problems. The problem usually comes from 
some memory block that get allocated by the malloc in one DLL and deallocated 
by the malloc in the other one (you get exactly the same problem if your 
program is for some reason using CRTDLL and MSVCRT, and for example you get 
strdup() from one dll and free() from the other.

This bug is quite complicated, as the source code seems perfectly correct. To 
find out if that's the problem try
	cygcheck yourprogram.exe
or
	objdump -p yourprogram.exe

If in the output you get references to two different cygwin DLLs or to CRTDLL 
and MSVCRTxx, then most probably the problem is there...

BTW, when you have such a problem could anyone precise at least the version of 
tools used and the flags passed to the compiler? it helps a lot understand the 
problems.

Hope this helps,

		Bernard

>
> -----
> See the original message at http://www.egroups.com/list/gnu-win32/?start=2370
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
------------------------------------------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel: +33 (0) 1 47 68 80 80
Fax: +33 (0) 1 47 88 97 85
e-mail: b. [email-masked]
------------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".